wreport::BufrTableID Class Reference

Identifying information for one distinct instance of BUFR tables. More...

`#include <tableinfo.h>`

## Public Member Functions

| BufrTableID (uint16_t originating_centre, uint16_t originating_subcentre, uint8_t master_table_number, uint8_t master_table_version_number, uint8_t master_table_version_number_local)
bool | operator< (const BufrTableID &o) const
bool | is_acceptable_replacement (const BufrTableID &id) const
bool | is_acceptable_replacement (const CrexTableID &id) const
int | closest_match (const BufrTableID &first, const BufrTableID &second) const
int | closest_match (const CrexTableID &first, const CrexTableID &second) const
int | closest_match (const BufrTableID &first, const CrexTableID &second) const
void | print (FILE *out) const

## Data Fields

uint16_t | originating_centre = 0xffff
uint16_t | originating_subcentre = 0xffff
uint8_t | master_table_number = 0xff
uint8_t | master_table_version_number = 0xff
uint8_t | master_table_version_number_local = 0xff

## Detailed Description

Identifying information for one distinct instance of BUFR tables.

The documentation for this class was generated from the following file:

- tableinfo.h